List a venue account's settlement obligations
curl --request GET \
--url https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"amount": "<string>",
"asset": "<string>",
"consequence": "overdue",
"dueAt": "2023-11-07T05:31:56Z",
"metAmount": "<string>",
"obligationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": {
"kind": "windowSnapshot",
"originId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
},
"payee": "workspace",
"payer": "workspace",
"policyVersion": 123,
"readAt": "2023-11-07T05:31:56Z",
"remainingAmount": "<string>",
"revision": 123,
"state": "open",
"venueAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "<string>",
"arrivalAt": "2023-11-07T05:31:56Z",
"consequencePolicy": {
"grace": "disabled",
"lateFee": "disabled",
"rollover": "disabled",
"source": "<string>",
"tradingBlock": "disabled",
"version": 123
},
"dueRefusal": "<string>",
"dueState": "notDue",
"lateFundsAmount": "<string>",
"latePayment": true,
"lpDelivery": {
"sends": [
{
"amount": "<string>",
"asset": "<string>",
"movementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"network": "<string>",
"txHash": "<string>"
}
],
"state": "awaitingWorkspacePayment",
"agreementAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"refusal": "<string>",
"sla": {
"seconds": 123,
"source": "<string>"
},
"workspaceFinalAt": "2023-11-07T05:31:56Z"
},
"needsReview": true,
"observedAt": "2023-11-07T05:31:56Z",
"originalWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdueSince": "2023-11-07T05:31:56Z",
"payInDifference": {
"amount": "<string>",
"direction": "over"
},
"remindersPaused": true,
"closure": {
"reason": "keptAtVenue",
"recordedAt": "2023-11-07T05:31:56Z",
"fromWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intoWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keepRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nettedAmount": "<string>"
},
"dispute": {
"note": "<string>",
"openedAt": "2023-11-07T05:31:56Z",
"openedBy": "<string>",
"priorState": "open",
"openedByName": "<string>"
},
"dueBasis": "clock",
"metAt": "2023-11-07T05:31:56Z",
"tradeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"readAt": "2023-11-07T05:31:56Z",
"nextCursor": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}Trades and settlement
List account obligations
What the workspace and the LP owe each other on this account, with status and deadline, optionally for one window or one trade; page with cursor. Required API-key scope: settlements_read; an OAuth client needs the same scope. The key’s owner must also be allowed to view the workspace’s settlements.
GET
/
api
/
v1
/
workspaces
/
{workspaceId}
/
venue-accounts
/
{venueAccountId}
/
settlement
/
obligations
List a venue account's settlement obligations
curl --request GET \
--url https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/venue-accounts/{venueAccountId}/settlement/obligations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"amount": "<string>",
"asset": "<string>",
"consequence": "overdue",
"dueAt": "2023-11-07T05:31:56Z",
"metAmount": "<string>",
"obligationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": {
"kind": "windowSnapshot",
"originId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
},
"payee": "workspace",
"payer": "workspace",
"policyVersion": 123,
"readAt": "2023-11-07T05:31:56Z",
"remainingAmount": "<string>",
"revision": 123,
"state": "open",
"venueAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "<string>",
"arrivalAt": "2023-11-07T05:31:56Z",
"consequencePolicy": {
"grace": "disabled",
"lateFee": "disabled",
"rollover": "disabled",
"source": "<string>",
"tradingBlock": "disabled",
"version": 123
},
"dueRefusal": "<string>",
"dueState": "notDue",
"lateFundsAmount": "<string>",
"latePayment": true,
"lpDelivery": {
"sends": [
{
"amount": "<string>",
"asset": "<string>",
"movementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"network": "<string>",
"txHash": "<string>"
}
],
"state": "awaitingWorkspacePayment",
"agreementAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"refusal": "<string>",
"sla": {
"seconds": 123,
"source": "<string>"
},
"workspaceFinalAt": "2023-11-07T05:31:56Z"
},
"needsReview": true,
"observedAt": "2023-11-07T05:31:56Z",
"originalWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdueSince": "2023-11-07T05:31:56Z",
"payInDifference": {
"amount": "<string>",
"direction": "over"
},
"remindersPaused": true,
"closure": {
"reason": "keptAtVenue",
"recordedAt": "2023-11-07T05:31:56Z",
"fromWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intoWindowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keepRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nettedAmount": "<string>"
},
"dispute": {
"note": "<string>",
"openedAt": "2023-11-07T05:31:56Z",
"openedBy": "<string>",
"priorState": "open",
"openedByName": "<string>"
},
"dueBasis": "clock",
"metAt": "2023-11-07T05:31:56Z",
"tradeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"readAt": "2023-11-07T05:31:56Z",
"nextCursor": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}Authorizations
bearer_authapi_key
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace the request acts in. An API key bound to a workspace implies it: omit the header, or send that same id (another id answers 403 WORKSPACE_SCOPE_MISMATCH). A member session must send it (400 MISSING_WORKSPACE without it).
Path Parameters
Workspace id
The venue account's id
Query Parameters
Required range:
1 <= x <= 200